Skip to main content
`Ctrl`+`K`

# PetscSpaceSumGetNumSubspaces

Get the number of spaces in the sum space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSumGetNumSubspaces(PetscSpace sp, PetscInt *numSumSpaces)

## Input Parameter

- sp - the function space object

## Output Parameter

- numSumSpaces - the number of spaces

## Note

The name NumSubspaces is slightly misleading because it is actually getting the number of defining spaces of the sum, not a number of Subspaces of it

## See Also

`PETSCSPACESUM`, `PetscSpace`, `PetscSpaceSumSetNumSubspaces()`, `PetscSpaceSetDegree()`, `PetscSpaceSetNumVariables()`

## Level

intermediate

## Location

src/dm/dt/space/impls/sum/spacesum.c

## Implementations

PetscSpaceSumGetNumSubspaces_Sum() in src/dm/dt/space/impls/sum/spacesum.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages